## BtMachineRenameDialog BtMachineRenameDialog — machine settings |

## Functions

BtMachineRenameDialog * | bt_machine_rename_dialog_new ()
void | bt_machine_rename_dialog_apply ()

## Properties

BtMachine * | machine | Write / Construct Only
gchar * | name | Read

## Types and Values

struct | BtMachineRenameDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── BtMachineRenameDialog

## Implemented Interfaces

BtMachineRenameDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

A dialog to (re)configure a BtMachine.

## Functions

### bt_machine_rename_dialog_new ()

    BtMachineRenameDialog *
    bt_machine_rename_dialog_new (const BtMachine *machine);

Create a new instance

#### Parameters

machine | the machine for which to create the dialog for |

#### Returns

the new instance

### bt_machine_rename_dialog_apply ()

    void
    bt_machine_rename_dialog_apply (const BtMachineRenameDialog *self);

Makes the dialog settings effective.

#### Parameters

self | the dialog which settings to apply |

## Types and Values

### struct BtMachineRenameDialog

    struct BtMachineRenameDialog;

the machine settings dialog

## Property Details

### The `“machine”` property

      “machine”                  BtMachine *

Set machine object, the dialog handles.

Flags: Write / Construct Only

### The `“name”` property

      “name”                     gchar *

the display-name of the machine.

Flags: Read

Default value: "unamed"